import request from '@/utils/request'

// 创建客户联系人
export function createCustomerContacts(data) {
  return request({
    url: '/ecw/customer-contacts/create',
    method: 'post',
    data: data
  })
}

// 更新客户联系人
export function updateCustomerContacts(data) {
  return request({
    url: '/ecw/customer-contacts/update',
    method: 'put',
    data: data
  })
}

// 删除客户联系人
export function deleteCustomerContacts(id) {
  return request({
    url: '/ecw/customer-contacts/delete?id=' + id,
    method: 'delete'
  })
}

// 获得客户联系人
export function getCustomerContacts(id) {
  return request({
    url: '/ecw/customer-contacts/get?id=' + id,
    method: 'get'
  })
}

// 获得客户联系人列表
export function getCustomerContactsList() {
  return request({
    url: '/ecw/customer-contacts/list',
    method: 'get'
  })
}

// 获得客户联系人分页
export function getCustomerContactsPage(query) {
  return request({
    url: '/ecw/customer-contacts/page',
    method: 'get',
    params: query
  })
}

// 获得客户联系人下拉列表
export function getCustomerContactsSelect(query) {
  return request({
    url: '/ecw/customer-contacts/select',
    method: 'get',
    params: query
  })
}

export function getCustomerContactsSelect2(query) {
  return request({
    url: '/ecw/customer-contacts/select2',
    method: 'get',
    params: query
  })
}

// 导出客户联系人 Excel
export function exportCustomerContactsExcel(query) {
  return request({
    url: '/ecw/customer-contacts/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 根据客户ID获得联系人列表
export function getCustomerContactsListByCustomer(query) {
  if(query.customerId){
    return request({
      url: '/ecw/customer-contacts/list-by-customer',
      method: 'get',
      params: query
    })
  }else {
    return Promise.resolve()
  }
}
//全部列表数据
export function warehouseLinePage(params){
  return request({
    url:'/ecw/warehouse-line/page',
     method:'get',
     params,
  })
}
//获得空运线路模板
 export function getAirLineChannelTemplateList(params){
  return request({
    url:'/ecw/warehouse-line/get-air-line-channel-template-list',
    method:'get',
    params
  })
 }

//  根据线路id渠道列表和清关费（复制使用）
export function getAirLineChannelPackagingList(id){
  return request({
    url:'/ecw/warehouse-line/get-air-line-channel-packaging-list',
    method:'get',
    params:{lineId:id}
  })
}
// 创建仓库线路的渠道包装
export function createWarehouseLineChannelPackaging(data){
  return request({
     url:'/ecw/warehouse-line/create-warehouse-line-channel-packaging',
    method:'put',
    data
  })
}
